---
title: Reserved IPs
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/networking/reserved-ips
description: Attach reserved public IPs to a Vultr VX1™ Cloud Compute instance via Portal or API.
publish_date: 2025-11-21T13:41:09.988558Z
last_updated: 2026-05-26T18:52:50.534910Z
---

# How to Attach Reserved IPs to a Vultr VX1™ Cloud Compute Instance

Reserved IPs let you reserve specific public IP addresses that you can attach to a Vultr VX1™ Cloud Compute instance. You can attach multiple reserved IPs to the same instance to support advanced networking tasks such as routing, load balancing, and IP forwarding.

Follow this guide to attach reserved IPs to a Vultr VX1™ Cloud Compute instance using the Vultr Console, or API.

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** section, and click **Reserved IPs**.
    1. Click your target reserved IP to open its management page.
    1. Select your target Vultr VX1™ Cloud Compute instance from the **Attach to Server** drop-down menu.
    1. Click **Attach** to apply the reserved IP to the instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Reserved IPs** endpoint](https://www.vultr.com/api/#tag/reserved-ip/operation/list-reserved-ips) and note the target reserved IP's ID.

        ```console
        $ curl "https://api.vultr.com/v2/reserved-ips" \
           -X GET \
           -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Attach Reserved IP** endpoint](https://www.vultr.com/api/#tag/reserved-ip/operation/attach-reserved-ip) to attach the reserved IP to the instance.

        ```console
        $ curl "https://api.vultr.com/v2/reserved-ips/{reserved-ip}/attach" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_id" : "<instance-id>"
          }'
        ```